Index: trunk/examples/extended/electromagnetic/TestEm4/History
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/History	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.43 2007/06/22 09:55:22 maire Exp $
+$Id: History,v 1.50 2010/06/07 05:40:46 perl Exp $
 -------------------------------------------------------------------
 
@@ -16,4 +16,25 @@
      ----------------------------------------------------------
      
+06-06-10 J.Perl (testem4-V09-03-02)
+- Remove unused variable in EventAction
+
+03-06-10 J.Perl (testem4-V09-03-01)
+- Updated vis usage 
+
+19-05-10 mma (testem4-V09-03-00)
+- TestEm4.cc : introduction of G4UIExecutive
+     
+12-09-08 mma (testem4-V09-01-03)
+- RunAction : change default histogram format
+ 
+12-06-08 mma (testem4-V09-01-02)
+- Remove AIDA from GNUmakefile 
+     
+06-05-08 mma (testem4-V09-01-01) 
+- Update README for Aida implementations.
+           
+07-04-08 mma (testem4-V09-01-00) 
+- PhysicsList : replace G4MultipleScattering by G4eMultipleScattering
+      
 22-06-07 mma (testem4-V08-03-00) 
 - cosmetic in TestEm4.cc 
Index: trunk/examples/extended/electromagnetic/TestEm4/README
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/README	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/README	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: README,v 1.19 2006/05/15 14:39:20 maire Exp $
+$Id: README,v 1.21 2008/09/12 18:46:14 maire Exp $
 -------------------------------------------------------------------
 
@@ -76,48 +76,9 @@
 	gmake
 
-  It is possible to choose the format of the histogram file (hbook, root, XML):
+  It is possible to choose the format of the histogram file :
+  hbook, root (default), XML
   comment/uncomment 1 line in the constructor of RunAction. 
 
   To use histograms, at least one of the AIDA implementations should be 
-  available (see http://aida.freehep.org).
+  available. See InstallAida.txt
   
- 7a - PI 
-
-  A package including AIDA and extended interfaces also using Python is PI, 
-  available from: http://cern.ch/pi
-
-  Once installed PI or PI-Lite in a specified local area $MYPY, it is required 
-  to add the installation path to $PATH, i.e. for example, for release 1.2.1 of 
-  PI:
-  setenv PATH ${PATH}:$MYPI/1.2.1/app/releases/PI/PI_1_2_1/rh73_gcc32/bin
-
-  CERN users can use the PATH to the LCG area on AFS.
-  Before running the example the command should be issued:
-  eval `aida-config --runtime csh`
-
- 7b -  OpenScientist
-
-  OpenScientist is available at http://OpenScientist.lal.in2p3.fr.
-
-  You have to "setup" the OpenScientist AIDA implementation before compiling
-  (then with G4ANALYSIS_USE set) and running your Geant4 application.
-
- On UNIX you setup, with a csh flavoured shell : 
-	csh> source <<OpenScientist install path>/aida-setup.csh 
-        or with a sh flavoured shell : 
-	sh> . <<OpenScientist install path>/aida-setup.sh
- On Windows : 
-	DOS> call <<OpenScientist install path>/aida-setup.bat 
-
-  You can use various file formats for writing (AIDA-XML, hbook, root).
-  These formats are readable by the Lab onx interactive program
-  or the OpenPAW application. See the web pages.
-
-
-  With OpenPAW, on a run.hbook file, one can view the histograms
-  with something like :
-	OS> opaw 
-        opaw> h/file 1 run.hbook  ( or opaw> h/file 1 run.aida or run.root)  
-	opaw> zone 2 2 
-	opaw> h/plot 1 
-	opaw> h/plot 2
Index: trunk/examples/extended/electromagnetic/TestEm4/TestEm4.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/TestEm4.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/TestEm4.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: TestEm4.cc,v 1.12 2007/06/22 09:55:22 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: TestEm4.cc,v 1.13 2010/05/19 09:19:51 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
@@ -33,6 +33,4 @@
 #include "G4RunManager.hh"
 #include "G4UImanager.hh"
-#include "G4UIterminal.hh"
-#include "G4UItcsh.hh"
 #include "Randomize.hh"
 
@@ -47,4 +45,8 @@
 #ifdef G4VIS_USE
 #include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
 #endif
 
@@ -93,14 +95,10 @@
      visManager->Initialize();
 #endif
-    
-     G4UIsession * session = 0;
-#ifdef G4UI_USE_TCSH
-      session = new G4UIterminal(new G4UItcsh);      
-#else
-      session = new G4UIterminal();
-#endif         
-     UI->ApplyCommand("/control/execute vis.mac");    
-     session->SessionStart();
-     delete session;
+     
+#ifdef G4UI_USE
+      G4UIExecutive * ui = new G4UIExecutive(argc,argv);      
+      ui->SessionStart();
+      delete ui;
+#endif
      
 #ifdef G4VIS_USE
Index: trunk/examples/extended/electromagnetic/TestEm4/TestEm4.out
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/TestEm4.out	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/TestEm4.out	(revision 1337)
@@ -1,5 +1,9 @@
+
+        ############################################
+        !!! WARNING - FPE detection is activated !!!
+        ############################################
 
 *************************************************************
- Geant4 version Name: global-V09-00-03    (9-May-2008)
+ Geant4 version Name: geant4-09-03-ref-06    (25-June-2010)
                       Copyright : Geant4 Collaboration
                       Reference : NIM A 506 (2003), 250-303
@@ -7,5 +11,5 @@
 *************************************************************
 
- Material: FluorCarbonate     density:  1.610 g/cm3   RadL:  22.435 cm   Imean:  92.428 eV 
+ Material: FluorCarbonate     density:  1.610 g/cm3   RadL:  22.435 cm   Nucl.Int.Length:  54.514 cm   Imean:  99.957 eV 
    --->  Element: Carbon (C)   Z =  6.0   N =  12.0   A =  12.01 g/mole  ElmMassFraction:  38.74 %  ElmAbundance  50.00 %
    --->  Element: Fluorine (N)   Z =  9.0   N =  19.0   A =  18.99 g/mole  ElmMassFraction:  61.26 %  ElmAbundance  50.00 %
@@ -15,51 +19,58 @@
 /run/beamOn 100000
 
-phot:  Total cross sections from Sandia parametrisation. 
-      Sampling according PhotoElectric model
+phot:   for  gamma    SubType= 12
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+       PhotoElectric :     Emin=          0 eV         Emax=   10 TeV
 
-compt:  Total cross sections has a good parametrisation from 10 KeV to (100/Z) GeV
-      Sampling according Klein-Nishina model
-      tables are built for  gamma
-      Lambda tables from 100 eV  to 100 GeV in 90 bins.
+compt:   for  gamma    SubType= 13
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+       Klein-Nishina :     Emin=          0 eV         Emax=   10 TeV
 
-conv:  Total cross sections has a good parametrisation from 1.5 MeV to 100 GeV for all Z;
-      sampling secondary e+e- according Bethe-Heitler model
-      tables are built for  gamma
-      Lambda tables from 1.022 MeV to 100 GeV in 100 bins.
+conv:   for  gamma    SubType= 14
+      Lambda tables from 1.022 MeV to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+       Bethe-Heitler :     Emin=          0 eV         Emax=   10 TeV
 
-msc:  Model variant of multiple scattering for e-
-      Lambda tables from 100 eV  to 100 TeV in 120 bins.
-      LateralDisplacementFlag=  1   Skin= 0
-      Boundary/stepping algorithm is active with RangeFactor= 0.02  Step limit type 1
+msc:   for e-    SubType= 10
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      RangeFactor= 0.04, stepLimitType: 1, latDisplacement: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+          UrbanMsc93 :     Emin=          0 eV         Emax=   10 TeV
 
-eIoni:   tables are built for  e-
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Delta cross sections and sampling from MollerBhabha model
-      Good description from 1 KeV to 100 GeV.
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
+eIoni:   for  e-    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+        MollerBhabha :     Emin=          0 eV         Emax=   10 TeV
 
-eBrem:   tables are built for  e-
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Total cross sections and sampling from StandBrem model (based on the EEDL data library) 
-      Good description from 1 KeV to 100 GeV, log scale extrapolation above 100 GeV. LPM flag 1
+eBrem:   for  e-    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      LPM flag: 1 for E > 1 GeV
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               eBrem :     Emin=          0 eV         Emax=   1 GeV
+            eBremRel :     Emin=          1 GeV        Emax=   10 TeV
 
-eIoni:   tables are built for  e+
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Delta cross sections and sampling from MollerBhabha model
-      Good description from 1 KeV to 100 GeV.
-      Step function: finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1
+eIoni:   for  e+    SubType= 2
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      finalRange(mm)= 1, dRoverRange= 0.2, integral: 1, fluct: 1, linLossLimit= 0.01
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+        MollerBhabha :     Emin=          0 eV         Emax=   10 TeV
 
-eBrem:   tables are built for  e+
-      dE/dx and range tables from 100 eV  to 100 TeV in 120 bins.
-      Lambda tables from threshold to 100 TeV in 120 bins.
-      Total cross sections and sampling from StandBrem model (based on the EEDL data library) 
-      Good description from 1 KeV to 100 GeV, log scale extrapolation above 100 GeV. LPM flag 1
+eBrem:   for  e+    SubType= 3
+      dE/dx and range tables from 100 eV  to 10 TeV in 77 bins
+      Lambda tables from threshold to 10 TeV in 77 bins, spline: 1
+      LPM flag: 1 for E > 1 GeV
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+               eBrem :     Emin=          0 eV         Emax=   1 GeV
+            eBremRel :     Emin=          1 GeV        Emax=   10 TeV
 
-annihil:       Sampling according eplus2gg model
-      tables are built for  e+
-      Lambda tables from 100 eV  to 100 TeV in 120 bins.
+annihil:   for  e+    SubType= 5
+      Lambda tables from 100 eV  to 10 TeV in 77 bins, spline: 1
+      ===== EM models for the G4Region  DefaultRegionForTheWorld ======
+            eplus2gg :     Emin=          0 eV         Emax=   10 TeV
 
 Region <DefaultRegionForTheWorld> -- appears in <C6F6> world volume
@@ -67,5 +78,5 @@
  Pointers : G4VUserRegionInformation[0], G4UserLimits[0], G4FastSimulationManager[0], G4UserSteppingAction[0]
  Materials : FluorCarbonate 
- Production cuts :  gamma 1 mm     e- 1 mm     e+ 1 mm 
+ Production cuts :   gamma 1 mm      e- 1 mm      e+ 1 mm  proton 0 fm 
 
 ========= Table of registered couples ==============================
@@ -73,6 +84,6 @@
 Index : 0     used in the geometry : Yes     recalculation needed : No 
  Material : FluorCarbonate
- Range cuts        :  gamma 1 mm     e- 1 mm     e+ 1 mm 
- Energy thresholds :  gamma 3.62751 keV    e- 427.947 keV    e+ 412.431 keV
+ Range cuts        :  gamma  1 mm     e-  1 mm     e+  1 mm  proton 0 fm 
+ Energy thresholds :  gamma  3.64604 keV    e-  433.376 keV    e+  419.056 keV proton -1 MeV
  Region(s) which use this couple : 
     DefaultRegionForTheWorld
@@ -115,9 +126,9 @@
 Run Summary
   Number of events processed : 100000
-  User=8.45s Real=245.81s Sys=22.45s
+  User=3.77s Real=9.59s Sys=2.61s
 
 --------- Ranecu engine status ---------
  Initial seed (index) = 0
- Current couple of seeds = 1729327149, 131462997
+ Current couple of seeds = 1605911312, 1952694419
 ----------------------------------------
 UserDetectorConstruction deleted.
@@ -127,5 +138,4 @@
 G4 kernel has come to Quit state.
 EventManager deleted.
-Default detector region deleted.
 UImanager deleted.
 Units table cleared.
@@ -133,2 +143,3 @@
 RunManagerKernel is deleted.
 RunManager is deleting.
+
Index: trunk/examples/extended/electromagnetic/TestEm4/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.3 2006/06/29 16:53:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/EventAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/EventAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: EventAction.hh,v 1.2 2006/06/29 16:53:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/EventActionMessenger.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 16:53:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/PhysicsList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.hh,v 1.2 2006/06/29 16:53:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.2 2006/06/29 16:53:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/RunAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/RunAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.7 2006/06/29 16:53:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm4/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/SteppingAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingAction.hh,v 1.2 2006/06/29 16:53:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/include/SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/include/SteppingVerbose.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.2 2006/06/29 16:53:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/DetectorConstruction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.3 2006/06/29 16:53:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/EventAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/EventAction.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: EventAction.cc,v 1.7 2006/06/29 16:53:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: EventAction.cc,v 1.9 2010/06/07 05:40:46 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -36,7 +36,4 @@
 
 #include "G4Event.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 #include "G4UnitsTable.hh"
 
@@ -76,5 +73,5 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-void EventAction::EndOfEventAction( const G4Event* evt)
+void EventAction::EndOfEventAction( const G4Event*)
 {	 		 
   if (drawFlag != "none") 
@@ -85,19 +82,4 @@
   Run->GetHisto(0)->fill(TotalEnergyDeposit/MeV);
 #endif
-
-  // draw trajectories
-  if(G4VVisManager::GetConcreteInstance())
-  {
-   G4TrajectoryContainer* trajectoryContainer = evt->GetTrajectoryContainer();
-   G4int n_trajectories = 0;
-   if (trajectoryContainer) n_trajectories = trajectoryContainer->entries();  
-   for(G4int i=0; i<n_trajectories; i++) 
-      { G4Trajectory* trj = (G4Trajectory *)
-                                      ((*(evt->GetTrajectoryContainer()))[i]);
-        if (drawFlag == "all") trj->DrawTrajectory(1000);
-        else if ((drawFlag == "charged")&&(trj->GetCharge() != 0.))
-                               trj->DrawTrajectory(1000); 
-      }
-  }
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/EventActionMessenger.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/EventActionMessenger.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.3 2006/06/29 16:54:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/PhysicsList.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.cc,v 1.7 2008/04/07 13:09:43 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/PrimaryGeneratorAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.3 2006/06/29 16:54:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/RunAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/RunAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.cc,v 1.11 2008/09/12 18:46:14 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm4/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/SteppingAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingAction.cc,v 1.2 2006/06/29 16:54:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/electromagnetic/TestEm4/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/src/SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/src/SteppingVerbose.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.2 2006/06/29 16:54:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm4/vis.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm4/vis.mac	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm4/vis.mac	(revision 1337)
@@ -8,22 +8,73 @@
 /run/verbose 2
 #
-# Create empty scene ("world" is default)
-/vis/scene/create
+# Controls whether energy is reported at end of event
+/testem/event/drawTracks all
 #
-# Create a scene handler for a specific graphics system
-# Edit the next line(s) to choose another graphic system
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
 #/vis/open DAWNFILE
 #
-/vis/open OGLIX
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
-# Draw scene
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
+#
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
+#
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
+#/vis/viewer/set/viewpointThetaPhi 90. 0.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.5
-/vis/viewer/flush
 #
-# for drawing the tracks
-# if too many tracks cause core dump => storeTrajectory 0
-/tracking/storeTrajectory 1
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
-/testem/event/drawTracks 
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
